# $Revision: 1.55 $, $Date: 2008/07/27 22:21:52 $
Summary:	libol library
Summary(pl.UTF-8):	Biblioteka libol
Name:		libol
Version:	0.3.18
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://www.balabit.hu/downloads/syslog-ng/libol/0.3/%{name}-%{version}.tar.gz
# Source0-md5:	cbadf4b7ea276dfa85acc38a1cc5ff17
Patch0:		%{name}-autoconf.patch
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libol is a small library used by syslog-ng, and provides
nonblocking-io, length encoded string functions and a mark & sweep
garbage collector.

%description -l pl.UTF-8
libol jest niewielką biblioteką używaną przez syslog-ng, a dającą
obsługę nieblokującego wejścia/wyjścia, funkcje do obsługi ciągów
znaków z zapisywaną długością oraz odśmiecacz.

%package devel
Summary:	Header files for libol
Summary(pl.UTF-8):	Pliki nagłówkowe do libol
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libol.

%description devel -l pl.UTF-8
Pliki nagłówkowe do libol.

%package static
Summary:	Static libol library
Summary(pl.UTF-8):	Biblioteka statyczna libol
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libol library.

%description static -l pl.UTF-8
Biblioteka statyczna libol.

%package make_class
Summary:	libol make_class utility
Summary(pl.UTF-8):	Narzędzie make_class dla biblioteki libol
Group:		Development/Tools
Requires:	%{name}-devel = %{version}-%{release}

%description make_class
libol make_class development utility.

%description make_class -l pl.UTF-8
Narzędzie programistyczne make_class dla biblioteki libol.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	SCSH=/bin/scsh
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libol.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libol-config
%attr(755,root,root) %{_libdir}/libol.so
%{_libdir}/libol.la
%{_includedir}/libol

%files static
%defattr(644,root,root,755)
%{_libdir}/libol.a

%ifnarch %{x8664} alpha ia64 s390x sparc64 ppc64
%files make_class
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/make_class
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libol.spec,v $
Revision 1.55  2008/07/27 22:21:52  arekm
- release 2

Revision 1.54  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.53  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.52  2006/04/22 18:45:14  qboosh
- updated to 0.3.18

Revision 1.51  2005/12/07 13:40:02  hawk
- release 3 (2 for Ra)

Revision 1.50  2005/11/27 22:08:56  qboosh
- updated to 0.3.17

Revision 1.49  2005/08/04 08:24:03  hawk
- release 2 (1 for Ra)

Revision 1.48  2005/05/12 06:29:20  qboosh
- updated to 0.3.16

Revision 1.47  2005/05/11 14:32:23  qboosh
- updated 64-bit archs list

Revision 1.46  2005/04/13 12:57:20  hawk
- release 3 (2 for Ra)

Revision 1.45  2005/02/06 14:52:55  qboosh
- updated to 0.3.15
- separated make_class - scsh is too big dependency for just linking with library

Revision 1.44  2004/08/13 08:26:24  arekm
- rel 3; no 64bit scsh

Revision 1.43  2004/08/13 05:06:49  ankry
- better scsh path fix

Revision 1.42  2004/08/12 23:51:06  arekm
- rel 2; add make_class to devel + fix it

Revision 1.41  2004/08/12 23:23:55  arekm
- make_class belongs to -devel subpackage

Revision 1.40  2004/08/06 19:07:10  qboosh
- updated to 0.3.14, updated+merged autoconf patches into one

Revision 1.39  2004/01/27 21:10:38  qboosh
- updated to 0.3.13

Revision 1.38  2003/10/14 20:38:14  qboosh
- updated to 0.3.11

Revision 1.37  2003/09/10 20:27:44  blues
- cosmetics

Revision 1.36  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.35  2003/06/13 18:32:50  mwinkler
- small url fix

Revision 1.34  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 05:49:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/05/09 23:44:17  qboosh
- 0.3.10

Revision 1.31  2003/02/14 13:20:42  qboosh
- merged DEVEL

Revision 1.23.2.6  2003/02/14 13:00:14  qboosh
- 0.3.9

Revision 1.23.2.5  2002/11/05 15:01:23  qboosh
- 0.3.5

Revision 1.23.2.4  2002/10/15 21:51:46  qboosh
- updated autoconf patch, more macros

Revision 1.23.2.3  2002/10/11 07:45:49  qboosh
- updated to 0.3.4

Revision 1.23.2.2  2002/09/20 11:59:39  baggins
- updated to 0.3.3

Revision 1.30  2002/11/25 14:16:59  ankry
- massive attack: no need for 755 for *.la

Revision 1.29  2002/10/14 09:28:31  qboosh
- fixed Source URL (it's libol 0.2, not 0.3)

Revision 1.28  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.27  2002/08/11 20:43:06  kloczek
- release 2,
- added AC_LIBOBJ patch (fix "$AC_LIBOBJ vs. $LIBOBJS" problems for ac 2.53),
- use new %doc,
- "rm -f missing" on top %build.

Revision 1.26  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.25  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/04/29 09:55:21  qboosh
- better pl description

Revision 1.23  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.22  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/08/27 18:45:31  kloczek
- updated to 0.2.24.

Revision 1.18  2001/07/13 18:55:58  areq
- 0.2.23

Revision 1.17  2001/05/18 02:40:05  kloczek
- updated to 0.2.22,
- make libtool hapy.

Revision 1.16  2001/02/25 18:42:42  areq
- 0.2.21

Revision 1.15  2000/10/04 03:33:11  kloczek
- updated to 0.2.20,
- use new rpm automation suit.

Revision 1.14  2000/08/21 22:33:25  kloczek
- release 2,
- added gethostbyname_is_in_libc_aka_no_libnsl patch - now libol is not
  linked with libnsl.

Revision 1.13  2000/07/25 05:55:23  kloczek
- updated to 0.2.18.

Revision 1.12  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.10  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.9  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/02/28 11:10:23  kloczek
- updated to 0.2.16,
- fix: enable %patch0 in %prep.

Revision 1.7  2000/02/20 12:48:28  kloczek
- updated to 0.2.9,
- spec adapterized,
- strip hared libraries,
- moved lib*.so to devel,
- remoded SONAME symlinks from main,
- 755 on lib*so and lib*.la.

Revision 1.6  1999/11/23 01:47:17  kloczek
- updated to 0.2.7.

Revision 1.5  1999/11/14 21:19:26  kloczek
- typo.

Revision 1.4  1999/11/14 09:04:38  kloczek
- added missing %descriptions,
- added static subpackage,
- added %post/%postun for main with calling /sbin/ldconfig,
- added missing "Requires: %%{name} = %%{version}" for devel.OA

Revision 1.3  1999/11/12 11:58:47  wiget
- updated to 0.2.5
- removed make_class from devel subpackage (need scheme shell)

Revision 1.2  1999/11/02 13:30:20  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

* Tue Jul 20 1999 Wojciech "Sas" Cięciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [0.2.0-1]
- update to last version.

* Tue May  4 1999 Wojciech "Sas" Cięciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [0.1.7-2]
- changing installation procedure,
- fixing requires problem.

* Wed Apr 28 1999 Wojciech "Sas" Cięciwa <cieciwa@alpha.zarz.agh.edu.pl>
- build RPM.
